CGI/Perl Guide | Learning Center | Forums | Advertise | Login
Site Search: in

  Main Index MAIN
INDEX
Search Posts SEARCH
POSTS
Who's Online WHO'S
ONLINE
Log in LOG
IN

Home: Perl Programming Help: Beginner:
Need to upgrade the Perl from 5.12 version in ubuntu 11.10

 



wasim
New User

Oct 20, 2015, 2:12 PM

Post #1 of 2 (927 views)
Need to upgrade the Perl from 5.12 version in ubuntu 11.10 Can't Post

Hi,

I'm running Ubuntu 11.10 OS and defaultly i have perl version 5.12. Can some body let me know how to upgrade.
Thanks in advance.


FishMonger
Veteran / Moderator

Oct 20, 2015, 3:49 PM

Post #2 of 2 (921 views)
Re: [wasim] Need to upgrade the Perl from 5.12 version in ubuntu 11.10 [In reply to] Can't Post

You should not upgrade the system perl. Some of the system tools may and often do depend on that version. Similarly, you should only use the system's package manager to install modules into the system perl.

If you want to use a newer version of perl, which would be a good idea, you should install it in a new location and keep the system perl intact. The easiest and probably best way to do that would be to use perlbrew, which allows you to install and switch between multiple versions.

http://perlbrew.pl/
https://metacpan.org/pod/App::perlbrew


(This post was edited by FishMonger on Oct 20, 2015, 3:50 PM)

 
 


Search for (options) Powered by Gossamer Forum v.1.2.0

Web Applications & Managed Hosting Powered by Gossamer Threads
Visit our Mailing List Archives